The default bug view has changed. See this FAQ.

TEST-UNEXPECTED-TIMEOUT | xpcshell-unpack.ini:toolkit/mozapps/extensions/test/xpcshell/test_webextension.js | Test timed out

RESOLVED FIXED in Thunderbird 45.0

Status

Thunderbird
General
RESOLVED FIXED
2 years ago
a year ago

People

(Reporter: Fallen, Assigned: Magnus Melin)

Tracking

({intermittent-failure})

39 Branch
Thunderbird 45.0
intermittent-failure

Thunderbird Tracking Flags

(thunderbird43 fixed, thunderbird44 fixed, thunderbird45 fixed)

Details

Attachments

(2 attachments)

(Reporter)

Description

2 years ago
I had though this bug would be fixed by the patch for bug 1197617, but it seems to be something different.

The test times out installing the files on the very first task.

Updated

2 years ago
Keywords: intermittent-failure
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)

Comment 38

2 years ago
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* comm-central: 6

Platform breakdown:
* windowsxp: 2
* windows7-32: 2
* linux64: 2

For more details, see:
http://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1200128&startday=2015-09-28&endday=2015-10-04&tree=all

Comment 39

2 years ago
9 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* comm-beta: 9

Platform breakdown:
* windowsxp: 2
* osx-10-10: 2
* linux64: 2
* windows7-32: 1
* osx-10-6: 1
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1200128&startday=2015-10-05&endday=2015-10-11&tree=all
(Assignee)

Comment 40

a year ago
This is now a permafail (if it wasn't initially?). Anyway, it succeeds locally. 

Looking more closely at the logs there's

16:49:30     INFO -  TEST-TIMEOUT | xpcshell-unpack.ini:toolkit/mozapps/extensions/test/xpcshell/test_webextension.js | took 300001ms
16:49:30     INFO -  xpcshell return code: None
16:49:30     INFO -  xpcshell-unpack.ini:toolkit/mozapps/extensions/test/xpcshell/test_webextension.js | Process still running after test!
16:49:31     INFO -  xpcshell-unpack.ini:toolkit/mozapps/extensions/test/xpcshell/test_webextension.js failed or timed out, will retry.

... so maybe it's just a question of the test not finishing properly. (but succeeding functionality wise)

http://archive.mozilla.org/pub/thunderbird/tinderbox-builds/comm-beta-linux/1447353887/comm-beta_ubuntu32_vm_test-xpcshell-bm04-tests1-linux32-build0.txt.gz
(Assignee)

Updated

a year ago
status-thunderbird43: --- → affected
status-thunderbird44: --- → affected
status-thunderbird45: --- → affected

Comment 41

a year ago
Hi Dave, we're running this test toolkit/mozapps/extensions/test/xpcshell/test_webextension.js as part of our Thunderbird test suite and it fails. The Thunderbird doesn't have expertise in webextensions and it's hard to understand what the test does. I counted 54 "do_check_*" calls in the test, however, when run locally I get this:

 0:07.93 TEST_START: Thread-2 xpcshell.ini:toolkit/mozapps/extensions/test/xpcsh
ell/test_webextension.js
 0:12.99 TEST_END: Thread-2 PASS
 0:12.99 LOG: MainThread INFO INFO | Result summary:
 0:12.99 LOG: MainThread INFO INFO | Passed: 2
 0:12.99 LOG: MainThread INFO INFO | Failed: 0
 0:12.99 LOG: MainThread INFO INFO | Todo: 0
 0:13.00 LOG: MainThread INFO INFO | Retried: 0
 0:13.00 SUITE_END: MainThread
Summary
=======
Ran 2 tests
Expected results: 2
Unexpected results: 0
OK

And run as part of the test suite, we get errors like shown in comment #40.

So I'm wondering whether it makes sense for the test to run for Thunderbird, if not we could just add
 skip-if = appname == "thunderbird"
and be done with it.

Can you please give us some advice.
Flags: needinfo?(dtownsend)

Comment 42

a year ago
Oops, missing word: The Thunderbird *team* doesn't have expertise ...
This error in the log looks suspect:

ReferenceError: reference to undefined property Cc['@mozilla.org/addons/policy-service;1']" {file: "resource://gre/modules/ExtensionManagement.jsm" line: 117}

I would guess you need to update your package-manifest.in to include the following:

@RESPATH@/components/utils.manifest
@RESPATH@/components/simpleServices.js
Flags: needinfo?(dtownsend)
(Assignee)

Comment 44

a year ago
Created attachment 8695439 [details] [diff] [review]
bug1200128_test_webextension.patch
Assignee: philipp → mkmelin+mozilla
Attachment #8695439 - Flags: review?(aleth)

Comment 45

a year ago
Comment on attachment 8695439 [details] [diff] [review]
bug1200128_test_webextension.patch

Review of attachment 8695439 [details] [diff] [review]:
-----------------------------------------------------------------

Thanks!
Attachment #8695439 - Flags: review?(aleth) → review+

Updated

a year ago
Keywords: checkin-needed
(Assignee)

Comment 46

a year ago
https://hg.mozilla.org/comm-central/rev/382dde4ca0d4 - Let's hope this fixed it.
Status: ASSIGNED → RESOLVED
Last Resolved: a year ago
Keywords: checkin-needed
Resolution: --- → FIXED
Target Milestone: --- → Thunderbird 45.0

Comment 47

a year ago
Hmm, Magnus beat me to it. I have a patch for this as well, but I also added:
 @RESPATH@/components/nsBlocklistService.js
+@RESPATH@/components/nsBlocklistServiceContent.js
 #ifdef MOZ_UPDATER

https://treeherder.mozilla.org/#/jobs?repo=try-comm-central&revision=0133aac03cce

Comment 48

a year ago
(In reply to Jorg K (GMT+1) from comment #47)
> Hmm, Magnus beat me to it. I have a patch for this as well, but I also added:
>  @RESPATH@/components/nsBlocklistService.js

Interesting. Might those fix the blocklist test failure instead?

Updated

a year ago
Attachment #8695439 - Flags: approval-comm-beta?
Attachment #8695439 - Flags: approval-comm-aurora?

Comment 49

a year ago
(In reply to aleth [:aleth] from comment #48)
> Interesting. Might those fix the blocklist test failure instead?
That is what I was hoping, but sadly no.

However, this bug is fixed, THANKS DAVE!!!
https://treeherder.mozilla.org/#/jobs?repo=try-comm-central&revision=0133aac03cce

We have some hints for the blocklist test in bug 1200567.

I will take a look at it, unless you (Aleth) or Magnus want to have a go first.

Comment 50

a year ago
Created attachment 8695515 [details] [diff] [review]
package simpleServices.js, utils.manifest: IB port
Attachment #8695515 - Flags: review?(clokep)

Updated

a year ago
Assignee: mkmelin+mozilla → aleth

Updated

a year ago
Assignee: aleth → mkmelin+mozilla

Comment 51

a year ago
https://hg.mozilla.org/comm-central/rev/53e0fd48dd6f528b95e335a186d9c3a2b4c97283
Bug 1200128 - package simpleServices.js, utils.manifest: IB port. r=clokep

Comment 52

a year ago
Oops, still had this applied and pushed it by mistake :-( It'll have to be a post-landing review...
Attachment #8695515 - Flags: review?(clokep) → review+
http://hg.mozilla.org/releases/comm-beta/rev/da49c31cce33
http://hg.mozilla.org/releases/comm-beta/rev/3fea64c433c3
http://hg.mozilla.org/releases/comm-aurora/rev/f91b0aca0969
http://hg.mozilla.org/releases/comm-aurora/rev/4da4b067223f
status-thunderbird43: affected → fixed
status-thunderbird44: affected → fixed
status-thunderbird45: affected → fixed

Updated

a year ago
Attachment #8695439 - Flags: approval-comm-beta?
Attachment #8695439 - Flags: approval-comm-beta+
Attachment #8695439 - Flags: approval-comm-aurora?
Attachment #8695439 - Flags: approval-comm-aurora+
Comment on attachment 8695515 [details] [diff] [review]
package simpleServices.js, utils.manifest: IB port

I also fixed the IB port in comm-beta and comm-aurora, and noticed too late that you did not actually ask for that. Hope that is not a problem.
Attachment #8695515 - Flags: approval-comm-beta+
Attachment #8695515 - Flags: approval-comm-aurora+

Comment 55

a year ago
(In reply to Kent James (:rkent) from comment #54)
> Comment on attachment 8695515 [details] [diff] [review]
> package simpleServices.js, utils.manifest: IB port
> 
> I also fixed the IB port in comm-beta and comm-aurora, and noticed too late
> that you did not actually ask for that. Hope that is not a problem.

No problem, thanks!
You need to log in before you can comment on or make changes to this bug.